package org.apache.commons.lang3.time;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import java.io.IOException;
import java.util.Calendar;
import java.util.Locale;
import java.util.TimeZone;
import org.apache.commons.lang3.LocaleUtils;
import org.apache.commons.lang3.time.FastDatePrinter;

class TimeZoneNameRule implements FastDatePrinter.Rule {
  private final Locale mLocale;
  
  private final int mStyle;
  
  private final String mStandard;
  
  private final String mDaylight;
  
  TimeZoneNameRule(TimeZone timeZone, Locale locale, int style) {
    this.mLocale = LocaleUtils.toLocale(locale);
    this.mStyle = style;
    this.mStandard = FastDatePrinter.getTimeZoneDisplay(timeZone, false, style, locale);
    this.mDaylight = FastDatePrinter.getTimeZoneDisplay(timeZone, true, style, locale);
  }
  
  public int estimateLength() {
    return Math.max(this.mStandard.length(), this.mDaylight.length());
  }
  
  public void appendTo(Appendable buffer, Calendar calendar) throws IOException {
    TimeZone zone = calendar.getTimeZone();
    if (calendar.get(16) == 0) {
      buffer.append(FastDatePrinter.getTimeZoneDisplay(zone, false, this.mStyle, this.mLocale));
    } else {
      buffer.append(FastDatePrinter.getTimeZoneDisplay(zone, true, this.mStyle, this.mLocale));
    } 
  }
}
